ECHO(1)

NIMI
echo - tulostaa rivin tekstiä

YLEISKATSAUS
echo [LYHYT-VALITSIN]... [MERKKIJONO]...
echo PITKÄ-VALITSIN

KUVAUS

Kaiuta MERKKIJONO(t) vakiotulosteeseen.

-n  älä lisää rivinvaihtoa loppuun

-e  ottaa käyttöön backslash-pakojen tulkinnan

-E  poistaa käytöstä backslash-pakojen tulkinnan (oletus)

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Jos -e on voimassa, seuraavat sarjat tunnistetaan:

\\  kenoviiva

\a  hälytysmerkki (BEL)

\b  askelpalautin

\c  ei rivinvaihtoa loppuun

\e  escape

\f  sivunvaihto

\n  rivinvaihto

\r  vaununpalautus

\t  vaakasarkain

\v  pystysarkain

\0NNN
    byte with octal value NNN (1 to 3 digits)

\xHH
    tavu, jonka heksadesimaaliarvo on HH (1-2 numeroa)

HUOM: käytössä oleva kuori saattaa sisältää oman echo-versionsa, joka yleensä korvaa korvaa tässä kuvatun version. Kuoren tukemista ominaisuuksista saa lisää tietoa kuoren dokumentaatiosta.

NOTE: printf(1) is a preferred alternative, which does not have issues outputting option-like strings.

TEKIJÄ
Kirjoittaneet Brian Fox ja Chet Ramey.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
printf(1)

Koko dokumentaatio: <https://www.gnu.org/software/coreutils/echo>
tai saatavilla paikallisesti: info '(coreutils) echo invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Juha-Pekka Syrjälä <jsyrjala@iki.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.